Loading...
Searching...
No Matches
DRTDigitalSignaturesSequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTDigitalSignaturesSequence::Item:

## Public Member Functions

| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor
| Item (const Item &copy)
| copy constructor
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item
OFCondition | read (DcmItem &item)
| read elements from sequence item
OFCondition | write (DcmItem &item)
| write elements to sequence item
OFCondition | getCertificateOfSigner (Uint8 *&value, unsigned long *count=NULL) const
| get CertificateOfSigner (0400,0115)
OFCondition | getCertificateType (OFString &value, const signed long pos=0) const
| get CertificateType (0400,0110)
OFCondition | getCertifiedTimestamp (Uint8 *&value, unsigned long *count=NULL) const
| get CertifiedTimestamp (0400,0310)
OFCondition | getCertifiedTimestampType (OFString &value, const signed long pos=0) const
| get CertifiedTimestampType (0400,0305)
OFCondition | getDigitalSignatureDateTime (OFString &value, const signed long pos=0) const
| get DigitalSignatureDateTime (0400,0105)
OFCondition | getDigitalSignatureUID (OFString &value, const signed long pos=0) const
| get DigitalSignatureUID (0400,0100)
OFCondition | getMACIDNumber (Uint16 &value, const unsigned long pos=0) const
| get MACIDNumber (0400,0005)
OFCondition | getSignature (Uint8 *&value, unsigned long *count=NULL) const
| get Signature (0400,0120)
DRTDigitalSignaturePurposeCodeSequence & | getDigitalSignaturePurposeCodeSequence ()
| get DigitalSignaturePurposeCodeSequence (0400,0401)
const DRTDigitalSignaturePurposeCodeSequence & | getDigitalSignaturePurposeCodeSequence () const
| get DigitalSignaturePurposeCodeSequence (0400,0401)
OFCondition | setCertificateOfSigner (const Uint8 *value, const unsigned long count)
| set CertificateOfSigner (0400,0115)
OFCondition | setCertificateType (const OFString &value, const OFBool check=OFTrue)
| set CertificateType (0400,0110)
OFCondition | setCertifiedTimestamp (const Uint8 *value, const unsigned long count)
| set CertifiedTimestamp (0400,0310)
OFCondition | setCertifiedTimestampType (const OFString &value, const OFBool check=OFTrue)
| set CertifiedTimestampType (0400,0305)
OFCondition | setDigitalSignatureDateTime (const OFString &value, const OFBool check=OFTrue)
| set DigitalSignatureDateTime (0400,0105)
OFCondition | setDigitalSignatureUID (const OFString &value, const OFBool check=OFTrue)
| set DigitalSignatureUID (0400,0100)
OFCondition | setMACIDNumber (const Uint16 value, const unsigned long pos=0)
| set MACIDNumber (0400,0005)
OFCondition | setSignature (const Uint8 *value, const unsigned long count)
| set Signature (0400,0120)

## Private Attributes

OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DcmOtherByteOtherWord | CertificateOfSigner
| CertificateOfSigner (0400,0115) vr=OB, vm=1, type=1.
DcmCodeString | CertificateType
| CertificateType (0400,0110) vr=CS, vm=1, type=1.
DcmOtherByteOtherWord | CertifiedTimestamp
| CertifiedTimestamp (0400,0310) vr=OB, vm=1, type=3.
DcmCodeString | CertifiedTimestampType
| CertifiedTimestampType (0400,0305) vr=CS, vm=1, type=1C.
DcmDateTime | DigitalSignatureDateTime
| DigitalSignatureDateTime (0400,0105) vr=DT, vm=1, type=1.
DRTDigitalSignaturePurposeCodeSequence | DigitalSignaturePurposeCodeSequence
| DigitalSignaturePurposeCodeSequence (0400,0401) vr=SQ, vm=1, type=3.
DcmUniqueIdentifier | DigitalSignatureUID
| DigitalSignatureUID (0400,0100) vr=UI, vm=1, type=1.
DcmUnsignedShort | MACIDNumber
| MACIDNumber (0400,0005) vr=US, vm=1, type=1.
DcmOtherByteOtherWord | Signature
| Signature (0400,0120) vr=OB, vm=1, type=1.

## Additional Inherited Members

Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor.
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset.
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type.
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type.

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## Item() [1/2]

DRTDigitalSignaturesSequence::Item::Item | ( | const OFBool | emptyDefaultItem = OFFalse | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

Referenced by Item(), and operator=().

## Item() [2/2]

DRTDigitalSignaturesSequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

References Item().

## Member Function Documentation

## getCertificateOfSigner()

OFCondition DRTDigitalSignaturesSequence::Item::getCertificateOfSigner | ( | Uint8 *& | value,
|  | unsigned long * | count = NULL ) const

get CertificateOfSigner (0400,0115)

Parameters

  value | reference to variable in which the value should be stored
  count | stores number of items in the result array (if not NULL)

Returns
  status, EC_Normal if successful, an error code otherwise

## getCertificateType()

OFCondition DRTDigitalSignaturesSequence::Item::getCertificateType | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get CertificateType (0400,0110)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getCertifiedTimestamp()

OFCondition DRTDigitalSignaturesSequence::Item::getCertifiedTimestamp | ( | Uint8 *& | value,
|  | unsigned long * | count = NULL ) const

get CertifiedTimestamp (0400,0310)

Parameters

  value | reference to variable in which the value should be stored
  count | stores number of items in the result array (if not NULL)

Returns
  status, EC_Normal if successful, an error code otherwise

## getCertifiedTimestampType()

OFCondition DRTDigitalSignaturesSequence::Item::getCertifiedTimestampType | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get CertifiedTimestampType (0400,0305)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getDigitalSignatureDateTime()

OFCondition DRTDigitalSignaturesSequence::Item::getDigitalSignatureDateTime | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get DigitalSignatureDateTime (0400,0105)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getDigitalSignaturePurposeCodeSequence() [1/2]

DRTDigitalSignaturePurposeCodeSequence & DRTDigitalSignaturesSequence::Item::getDigitalSignaturePurposeCodeSequence | ( |  | ) |

inline

get DigitalSignaturePurposeCodeSequence (0400,0401)

Returns
  reference to sequence element

References DigitalSignaturePurposeCodeSequence.

## getDigitalSignaturePurposeCodeSequence() [2/2]

const DRTDigitalSignaturePurposeCodeSequence & DRTDigitalSignaturesSequence::Item::getDigitalSignaturePurposeCodeSequence | ( |  | ) | const

inline

get DigitalSignaturePurposeCodeSequence (0400,0401)

Returns
  const reference to sequence element

References DigitalSignaturePurposeCodeSequence.

## getDigitalSignatureUID()

OFCondition DRTDigitalSignaturesSequence::Item::getDigitalSignatureUID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get DigitalSignatureUID (0400,0100)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getMACIDNumber()

OFCondition DRTDigitalSignaturesSequence::Item::getMACIDNumber | ( | Uint16 & | value,
|  | const unsigned long | pos = 0 ) const

get MACIDNumber (0400,0005)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getSignature()

OFCondition DRTDigitalSignaturesSequence::Item::getSignature | ( | Uint8 *& | value,
|  | unsigned long * | count = NULL ) const

get Signature (0400,0120)

Parameters

  value | reference to variable in which the value should be stored
  count | stores number of items in the result array (if not NULL)

Returns
  status, EC_Normal if successful, an error code otherwise

## isEmpty()

OFBool DRTDigitalSignaturesSequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## isValid()

OFBool DRTDigitalSignaturesSequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## operator=()

Item & DRTDigitalSignaturesSequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

References Item().

## read()

OFCondition DRTDigitalSignaturesSequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## setCertificateOfSigner()

OFCondition DRTDigitalSignaturesSequence::Item::setCertificateOfSigner | ( | const Uint8 * | value,
|  | const unsigned long | count )

set CertificateOfSigner (0400,0115)

Parameters

  value | array value to be set (data is copied)
  count | number of items in the array

Returns
  status, EC_Normal if successful, an error code otherwise

## setCertificateType()

OFCondition DRTDigitalSignaturesSequence::Item::setCertificateType | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set CertificateType (0400,0110)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setCertifiedTimestamp()

OFCondition DRTDigitalSignaturesSequence::Item::setCertifiedTimestamp | ( | const Uint8 * | value,
|  | const unsigned long | count )

set CertifiedTimestamp (0400,0310)

Parameters

  value | array value to be set (data is copied)
  count | number of items in the array

Returns
  status, EC_Normal if successful, an error code otherwise

## setCertifiedTimestampType()

OFCondition DRTDigitalSignaturesSequence::Item::setCertifiedTimestampType | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set CertifiedTimestampType (0400,0305)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setDigitalSignatureDateTime()

OFCondition DRTDigitalSignaturesSequence::Item::setDigitalSignatureDateTime | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set DigitalSignatureDateTime (0400,0105)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DT) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setDigitalSignatureUID()

OFCondition DRTDigitalSignaturesSequence::Item::setDigitalSignatureUID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set DigitalSignatureUID (0400,0100)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (UI) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setMACIDNumber()

OFCondition DRTDigitalSignaturesSequence::Item::setMACIDNumber | ( | const Uint16 | value,
|  | const unsigned long | pos = 0 )

set MACIDNumber (0400,0005)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## setSignature()

OFCondition DRTDigitalSignaturesSequence::Item::setSignature | ( | const Uint8 * | value,
|  | const unsigned long | count )

set Signature (0400,0120)

Parameters

  value | array value to be set (data is copied)
  count | number of items in the array

Returns
  status, EC_Normal if successful, an error code otherwise

## write()

OFCondition DRTDigitalSignaturesSequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtdss.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0